import 'package:flutter_test/flutter_test.dart';
import 'package:healthrian_ble_support_for_wearcardiot/'
    'healthrian_ble_support_for_wearcardiot.dart';

void main() {
  group('extensions test', () {
    test('feasible', () {
      expect('wearT123'.isFeasible, true);
    });

    test('non feasible', () {
      expect('cardio123'.isFeasible, false);
    });
  });

  group('stream test', () {
    test('multiple stream: broadcast', () async {
      final stream = Stream.fromIterable(Iterable<int>.generate(10));
      final broadcast = stream.broadcast;

      final res1 = <int>[];
      final res2 = <int>[];

      final subscription = broadcast.listen(res1.add);
      await for (final a in broadcast){
        res2.add(a);
      }
      await subscription.cancel();
      expect(res1, res2);
    });
  });
}
